Subject: Virtual Router ID

From: Amnon Even-zohar <[email-masked]>
Date: Sun, 10 Dec 2000 15:57:01 +0200

Hi !
Can anyone tell me how can be that in the MIB defintion (RFC 2787) the parameter :
 vrrpOperVrId OBJECT-TYPE
     SYNTAX       VrId
     MAX-ACCESS   not-accessible
     STATUS       current
     DESCRIPTION
         "This object contains the Virtual Router Identifier (VRID)."
     ::= { vrrpOperEntry 1 }
Is not-accesible ? From Where does it get its value ? 
10x,
Regards,

Amnon Even Zohar
Atidim Technological Park, Bldg.4
Tel-Aviv 61131, Israel
Tel:    972-3-645-8595
Fax:  972-3-648-7368
E-mail: [email-masked]

---

From: Michael MacFaden <[email-masked]>
Date: Sun, 10 Dec 2000 08:30:33 -0800

See RFC 2578 section 7.7

    Objects which are both specified in the INDEX clause of a conceptual
    row and also columnar objects of the same conceptual row are termed
    auxiliary objects.  The MAX-ACCESS clause for auxiliary objects is
    "not-accessible", except in the following circumstances: [snip]

Basically, you can get this Managed Object's value as a byproduct of any
object in the table by using the oid from the varbind returning some value.

Mike MacFaden
www.riverstonenet.com